	character*133 dis,err
	if(iargc().lt.1)then
	  write(*,*)' usge: takead *.mag1 >*.coo'
	  stop
	endif
	call  getarg(1,dis)
	open(1,file=dis,status='old')
	read(1,'(a)')dis
	i=0
10	read(1,'(a)',end=100)dis
	read(1,'(a)')err
	i=i+1
c	if(dis(1:1).ne.' ')goto 10
	write(*,'(a,i6)')dis(2:24),i
	goto 10
100	close(1)
	end
